﻿using System;
using System.Windows;

namespace PassExchange
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            BaseUri.Text = @"http://webdesign.vdlz.xyz/index.html";
            relUri.Text = @"Editor/Editor.html";
        }

         private void Button_Click(object sender, RoutedEventArgs e)
        {
            //基準uriを取得する
            if (BaseUri.Text != "")
            {
                Uri myBaseUri =  new Uri(BaseUri.Text);

                
                if (relUri.Text != "")
                {
                    // 絶対uriを取得する
                    Uri myUri = new Uri(myBaseUri, relUri.Text);

                    absUri.Text = myUri.AbsoluteUri;
                }
            }

        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            //基準uriを取得する
            Uri myBaseUri = new Uri(BaseUri.Text);

             if (absUri.Text != "")
            {
                Uri myAbsUri = new Uri(absUri.Text);

                // 相対uriを取得する
                Uri myRelUri = myBaseUri.MakeRelativeUri(myAbsUri);

                relUri.Text = myRelUri.ToString();
            }
        }
    }
}

